.\" Copyright (c) 1983, 1997 Eric P. Allman
.\" Copyright (c) 1985, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)aliases.5	8.3 (Berkeley) 2/1/97
.\"
.Dd February 1, 1997
.Dt ALIASES 5
.Os BSD 4
.Sh NAME
.Nm aliases
.Nd aliases file for sendmail
.Sh SYNOPSIS
.Nm aliases
.Sh DESCRIPTION
This file describes user
.Tn ID
aliases used by
.Pa /usr/sbin/sendmail .
The file resides in
.Pa /etc
and
is formatted as a series of lines of the form
.Bd -filled -offset indent
name: name_1, name_2, name_3, . . .
.Ed
.Pp
The
.Em name
is the name to alias, and the
.Em name_n
are the aliases for that name.
Lines beginning with white space are continuation lines.
Lines beginning with
.Ql #
are comments.
.Pp
Aliasing occurs only on local names.
Loops can not occur, since no message will be sent to any person more than once.
.Pp
After aliasing has been done, local and valid recipients who have a
.Dq Pa .forward
file in their home directory have messages forwarded to the
list of users defined in that file.
.Pp
This is only the raw data file; the actual aliasing information is
placed into a binary format in the file
.Pa /etc/aliases.db
using the program
.Xr newaliases 1 .
A
.Xr newaliases
command should be executed each time the aliases file is changed for the
change to take effect.
.Sh SEE  ALSO
.Xr newaliases 1 ,
.Xr dbm 3 ,
.Xr dbopen 3 ,
.Xr sendmail 8
.Rs
.%T "SENDMAIL Installation and Operation Guide"
.Re
.Rs
.%T "SENDMAIL An Internetwork Mail Router"
.Re
.Sh BUGS
If you have compiled
.Xr sendmail
with DBM support instead of NEWDB,
you may have encountered problems in
.Xr dbm 3
restricting a single alias to about 1000 bytes of information.
You can get longer aliases by ``chaining''; that is, make the last name in
the alias be a dummy name which is a continuation alias.
.Sh HISTORY
The
.Nm
file format appeared in
.Bx 4.0 .
